/*
 
  LANChat 4.0 for Windows 95OSR2/98/NT4
  --------------------------------------------------------
  (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)
 
  LANChat and related utilities are free software; you can
  redistribute it and/or modify it under the terms of the GNU Library
  General Public License as published by the Free Software Foundation;
  either version 2 of the License, or (at your option) any later version.
 
*/

#include "stdafx.h"
#include "LANChat.h"
#include "PopUpDlg.h"

/////////////////////////////////////////////////////////////////////////////

CPopUpDlg::CPopUpDlg( CWnd* pParent )
    : CDialog( CPopUpDlg::IDD, pParent )
{
  //{{AFX_DATA_INIT(CPopUpDlg)
  m_PopText = _T( "" );
  //}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////

void CPopUpDlg::DoDataExchange( CDataExchange* pDX )
{
  CDialog::DoDataExchange( pDX );
  //{{AFX_DATA_MAP(CPopUpDlg)
  DDX_Text( pDX, IDC_POPTEXT, m_PopText );
  DDV_MaxChars( pDX, m_PopText, 200 );
  //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP( CPopUpDlg, CDialog )
//{{AFX_MSG_MAP(CPopUpDlg)
ON_WM_SHOWWINDOW()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

void CPopUpDlg::OnOK()
{
  UpdateData( TRUE );
  CDialog::OnOK();
}

/////////////////////////////////////////////////////////////////////////////

void CPopUpDlg::OnShowWindow( BOOL bShow, UINT nStatus )
{
  CDialog::OnShowWindow( bShow, nStatus );
  UpdateData( FALSE );
}

/////////////////////////////////////////////////////////////////////////////

BOOL CPopUpDlg::OnInitDialog()
{
  CDialog::OnInitDialog();
  if ( Owner->Language != US )
  {
    SetWindowText( "Karteczka" );
    SetDlgItemText( IDCANCEL, "Anuluj" );
    SetDlgItemText( IDC_ENTER, "Podaj tre wiadomoci:" );
  }
  return TRUE;
}
