/*
    LANChat 4.0 for Windows 95OSR2/98/NT4
   --------------------------------------------------------
    (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)

    LANChat and related utilities are free software; you can
    redistribute it and/or modify it under the terms of the GNU Library
    General Public License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later version.

*/

#if !defined (LANChat_TopicDialog_INCLUDED)
#define LANChat_TopicDialog_INCLUDED

#pragma once

/////////////////////////////////////////////////////////////////////////////

#include "LANChatDlg.h"

/////////////////////////////////////////////////////////////////////////////

class CTopicDlg : public CDialog
{
public:
  CTopicDlg(CWnd* pParent = NULL);
  char cTopic[200];
  char pTopic[200];
  class CLANChatDlg *Owner;
  unsigned long Bytes;
  unsigned long ChatMessages;
  unsigned long TotalMessages;
  char Start[100];
  char Time[40];
  char tCh;
  char Language;

  //{{AFX_DATA(CTopicDlg)
  enum { IDD = IDD_TOPIC };
  CString m_CTopicDlg;
  CString m_S_Char;
  CString m_S_Chars;
  CString m_S_Words;
  //}}AFX_DATA

  //{{AFX_VIRTUAL(CTopicDlg)
protected:
  virtual void DoDataExchange(CDataExchange* pDX);
  //}}AFX_VIRTUAL

protected:
  //{{AFX_MSG(CTopicDlg)
  afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
  virtual void OnOK();
  virtual BOOL OnInitDialog();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}

#endif
