/*
    LANChat 4.0 for Windows 95OSR2/98/NT4
   --------------------------------------------------------
    (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)
 
    LANChat and related utilities are free software; you can
    redistribute it and/or modify it under the terms of the GNU Library
    General Public License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later version.
 
*/

#include "stdafx.h"
#include "LANChat.h"
#include "AwayDlg.h"
#include "LANChatDlg.h"

/////////////////////////////////////////////////////////////////////////////

CAwayDlg::CAwayDlg( CWnd* pParent)
    : CDialog( CAwayDlg::IDD, pParent )
{
  //{{AFX_DATA_INIT(CAwayDlg)
  m_WhyAway = _T( "" );
  //}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////

void CAwayDlg::DoDataExchange( CDataExchange* pDX )
{
  CDialog::DoDataExchange( pDX );
  //{{AFX_DATA_MAP(CAwayDlg)
  DDX_Text( pDX, IDC_WHYAWAY, m_WhyAway );
  DDV_MaxChars( pDX, m_WhyAway, 250 );
  //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP( CAwayDlg, CDialog )
//{{AFX_MSG_MAP(CAwayDlg)
ON_WM_SHOWWINDOW()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

BOOL CAwayDlg::OnInitDialog()
{
  CDialog::OnInitDialog();

  if ( Owner->Language != US ) SetDlgItemText( IDC_REASON, "Podaj przyczyn swojej nieobecnoci:" );
  if ( Owner->Language == US ) SetDlgItemText( IDCANCEL, "Anuluj" );

  return TRUE;
}

/////////////////////////////////////////////////////////////////////////////

void CAwayDlg::OnOK()
{
  UpdateData( TRUE );
  CDialog::OnOK();
}

/////////////////////////////////////////////////////////////////////////////

void CAwayDlg::OnShowWindow( BOOL bShow, UINT nStatus )
{
  CDialog::OnShowWindow( bShow, nStatus );
  UpdateData( FALSE );
}
