/*
    LANChat 4.0 for Windows 95OSR2/98/NT4
   --------------------------------------------------------
    (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)

    LANChat and related utilities are free software; you can
    redistribute it and/or modify it under the terms of the GNU Library
    General Public License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later version.

*/

#if !defined (LANChat_PopUpDialog_INCLUDED)
#define LANChat_PopUpDialog_INCLUDED

#pragma once

/////////////////////////////////////////////////////////////////////////////

#include "LANChatDlg.h"

/////////////////////////////////////////////////////////////////////////////

class CPopUpDlg : public CDialog
{
public:
  CPopUpDlg(CWnd* pParent = NULL);
  class CLANChatDlg *Owner;

  //{{AFX_DATA(CPopUpDlg)
  enum { IDD = IDD_POPUP };
  CString m_PopText;
  //}}AFX_DATA

  //{{AFX_VIRTUAL(CPopUpDlg)
protected:
  virtual void DoDataExchange(CDataExchange* pDX);
  //}}AFX_VIRTUAL

protected:
  //{{AFX_MSG(CPopUpDlg)
  virtual void OnOK();
  afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
  virtual BOOL OnInitDialog();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}

#endif
