/*
    LANChat 4.0 for Windows 95OSR2/98/NT4
   --------------------------------------------------------
    (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)

    LANChat and related utilities are free software; you can
    redistribute it and/or modify it under the terms of the GNU Library
    General Public License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later version.

*/

#if !defined (LANChat_PrivateDialog_INCLUDED)
#define LANChat_PrivateDialog_INCLUDED

#pragma once

/////////////////////////////////////////////////////////////////////////////

#include "LANChatDlg.h"
#include "PopUpDlg.h"

/////////////////////////////////////////////////////////////////////////////

class CPrivateDlg : public CDialog
{
public:
  CPrivateDlg(CWnd* pParent = NULL);
  class CLANChatDlg *Own;
  unsigned char IP;
  char Max;
  void OnCancel(void);
  void Bolden(void);
  void Unbolden(void);
  void Kolor(int,int,int);
  void AddText(int,int,int,char *,char,char,char);
  int fset;

  CBitmapButton PopBut;

  CHARFORMAT FAR CharFmt;
  int TextLength;

  //{{AFX_DATA(CPrivateDlg)
  enum { IDD = IDD_PRIV_CHAT };
  CString m_PWpis;
  //}}AFX_DATA

  //{{AFX_VIRTUAL(CPrivateDlg)
public:
  virtual BOOL PreTranslateMessage(MSG* pMsg);
protected:
  virtual void DoDataExchange(CDataExchange* pDX);
  //}}AFX_VIRTUAL

protected:
  //{{AFX_MSG(CPrivateDlg)
  afx_msg void OnPsend();
  afx_msg void OnPop();
  virtual BOOL OnInitDialog();
  afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}

#endif
