/*
    LANChat 4.0 for Windows 95OSR2/98/NT4
   --------------------------------------------------------
    (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)

    LANChat and related utilities are free software; you can
    redistribute it and/or modify it under the terms of the GNU Library
    General Public License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later version.

*/


#if !defined (LANChat_SetupDialog_INCLUDED)
#define LANChat_SetupDialog_INCLUDED

#pragma once

/////////////////////////////////////////////////////////////////////////////

#include "LANChatDlg.h"
#include "ShortDlg.h"

/////////////////////////////////////////////////////////////////////////////

class CSetupDlg : public CDialog
{
public:
  int top,left;
  CSetupDlg(CWnd* pParent = NULL);
  CString m_Nick;
  CString oNick;
  BOOL m_SoundCard;
  unsigned int m_R,m_G,m_B;
  int PopMode;
  int nPop;
  unsigned int snicks;
  unsigned int spnicks;
  unsigned int adv;
  char nCg;
  int Logging;
  char LogFile[40];
  char LogDir[100];
  char LongLogFile[140];
  char Language;
  char nlang;
  char q;

  unsigned int msgtime;

  void Bolden(void);
  void Unbolden(void);
  void Kolor(int,int,int);
  void AddText(void);

  CHARFORMAT FAR chf;
  int tl;
  class CLANChatDlg *Owner;
  class CShortDlg *Short;
  unsigned int Female;

  LOGFONT Font,tFont;

  //{{AFX_DATA(CSetupDlg)
	enum { IDD = IDD_SETUP };
  CSliderCtrl     m_ColB;
  CSliderCtrl     m_ColG;
  CSliderCtrl     m_ColR;
  BOOL    m_Log;
  CString m_LogDir;
  BOOL    m_AutoShow;
  CString m_NewNick;
  BOOL    m_UseCrd;
  BOOL    m_MsgTime;
  BOOL    m_snicks;
  BOOL    m_pnicks;
	BOOL	m_Female;
	BOOL	m_adv;
	//}}AFX_DATA

  //{{AFX_VIRTUAL(CSetupDlg)
protected:
  virtual void DoDataExchange(CDataExchange* pDX);
  //}}AFX_VIRTUAL

protected:
  //{{AFX_MSG(CSetupDlg)
  afx_msg void OnSetupOK();
  virtual BOOL OnInitDialog();
  afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
  afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
  afx_msg void OnRadio0();
  afx_msg void OnRadio1();
  afx_msg void OnRadio2();
  afx_msg void OnRadio3();
  afx_msg void OnEnglish();
  afx_msg void OnPolish();
  afx_msg void OnPal();
  afx_msg void OnShbut();
  afx_msg void OnFont();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}

#endif
