/*  
    LANChat 4.0 for Windows 95OSR2/98/NT4
    --------------------------------------------------------
    (C) 1998, 1999 Piotr Kowalski (goro@vc.pl)

    LANChat and related utilities are free software; you can
    redistribute it and/or modify it under the terms of the GNU Library
    General Public License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later version.

*/

#include "stdafx.h"
#include "LANChat.h"
#include "ShortDlg.h"

/////////////////////////////////////////////////////////////////////////////

CShortDlg::CShortDlg( CWnd* pParent /*=NULL*/ )
    : CDialog( CShortDlg::IDD, pParent )
{
  //{{AFX_DATA_INIT(CShortDlg)
  m_Sh1 = _T( "" );
  m_Sh2 = _T( "" );
  m_Sh3 = _T( "" );
  //}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////

void CShortDlg::DoDataExchange( CDataExchange* pDX )
{
  CDialog::DoDataExchange( pDX );
  //{{AFX_DATA_MAP(CShortDlg)
  DDX_Text( pDX, IDC_SH1, m_Sh1 );
  DDV_MaxChars( pDX, m_Sh1, 50 );
  DDX_Text( pDX, IDC_SH2, m_Sh2 );
  DDV_MaxChars( pDX, m_Sh2, 50 );
  DDX_Text( pDX, IDC_SH3, m_Sh3 );
  DDV_MaxChars( pDX, m_Sh3, 50 );
  //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP( CShortDlg, CDialog )
//{{AFX_MSG_MAP(CShortDlg)
ON_WM_SHOWWINDOW()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

BOOL CShortDlg::OnInitDialog()
{
  CDialog::OnInitDialog();

  if ( Owner->Owner->Language != US )
  {
    SetWindowText( "Skrty" );
    SetDlgItemText( IDCANCEL, "Anuluj" );
    SetDlgItemText( IDC_MALPA, "Dodanie znaku @ na kocu tekstu skrtu powoduje, e jest on natychmiast wysany (nie trzeba wciska Enter).");
  }
  return TRUE;
}

/////////////////////////////////////////////////////////////////////////////

void CShortDlg::OnShowWindow( BOOL bShow, UINT nStatus )
{
  CDialog::OnShowWindow( bShow, nStatus );
  UpdateData( FALSE );
}

/////////////////////////////////////////////////////////////////////////////

void CShortDlg::OnOK()
{
  UpdateData( TRUE );
  CDialog::OnOK();
}
